<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {counter} function plugin
 *
 * Type:     function<br>
 * Name:     counter<br>
 * Purpose:  print out a counter value
 * @author Monte Ohrt <monte at ohrt dot com>
 * @link http://smarty.php.net/manual/en/language.function.counter.php {counter}
 *       (Smarty online manual)
 * @param array parameters
 * @param Smarty
 * @return string|null
 */
function smarty_function_ufathom($params, &$smarty)
{
    //static $counters = array();

	if($params['count']=='')
		$project_count=5;
	else
		$project_count=$params['count'];
		
	if($params['username']!='')
		$username=$params['username'];
	
	if($params['color']!='')
		$color=$params['color'];
	
    if($params['keyword']!='')
		$keyword=$params['keyword'];
	
	$tags=get_meta_tags('http://'.$_SERVER[SERVER_NAME].$_SERVER['REQUEST_URI']);
	//$tags = get_meta_tags('http://www.ufathom.com');
	if($tags['keywords']=='')
		$keyword=$keyword;
	else
		$keyword=$tags['keywords'];
		
	$tag  = str_replace(', ',',',$keyword);
	$tag  = str_replace(' ', ',',$tag);
	$contents = file_get_contents("http://www.ufathom.com/api/project/Search.json?keyword=".$tag );
	 if(empty($username)) { $username = "manas"; }
	$UFATHOM = json_decode($contents,true);
	//foreach($UFATHOM['project']['items'] as $k => $v) { echo $k."-".$v."\n";}
	$retval = "<b>Related Projects on Ufathom:</b><br>";
	if( count($UFATHOM['project']['items']) > 0) {
		$retval .= "<ul>";
		$count = count($UFATHOM['project']['items']);
		if($count > $project_count) { $count = $project_count; }
		if($color!='')
			$style= "style='color:".$color."'";
		for($i=0;$i < $count; $i++) {
			$id = $UFATHOM['project']['items'][$i]['id'];
			$name = $UFATHOM['project']['items'][$i]['name'];
			$retval .= "<li><a href=\"http://www.ufathom.com/projects/".$username."_".$id.".html\" target=\"_blank\" $color>".$name."</a></li>";
		}
		$retval .= "</ul>";
	} else {
		$retval .= "No related projects found on Ufathom :(";
	}  
    return $retval;
    
}

/* vim: set expandtab: */

?>
